import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:cs_resources/generated/assets.dart';
import 'package:shared/utils/size_config.dart';
import 'package:widgets/my_load_image.dart';
import 'package:auto_route/annotations.dart';
import '../vm/splash_view_model.dart';

@RoutePage()
class SplashPage extends HookConsumerWidget {
  SplashPage({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    SizeConfig().init(context);

    ref.watch(splashViewModelProvider);

    return Scaffold(
      body: Container(
        decoration: const BoxDecoration(
          gradient: LinearGradient(
            colors: [
              Color(0xFF091D44),
              Color(0xFF245A8A),
              Color(0xFF7F7CEC),
            ],
            begin: Alignment.topCenter,
            end: Alignment.bottomCenter,
          ),
        ),
        child: const Center(
          child: MyAssetImage(
            Assets.assetsYyBusinessTopLogo,
            width: 166,
            height: 67.5,
            fit: BoxFit.contain,
          ),
        ),
      ),
    );
  }
}
